#581 lxpanel covers maximized window bottoms

None
closed-fixed
lxpanel (269)
5
2015-06-14
2013-06-11
No

I encountered this using two really different distros:

- Debian 7.0.0 Wheezy with LXDE
- Fedora 18 Spherical Cow LXDE spin

So, the problem is: You maximize a window, and you can't see the bottom 26px of it (default lxpanel height). So lxpanel doesn't behave as a dock. I checked the corresponding setting in lxpanel settings, I have unchecked and rechecked it without any effect. A kind person helped me out on IRC, he gave me the following code to insert it into the Openbox config file:

<application name="panel">
<skip_taskbar>yes</skip_taskbar>
<layer>above</layer>
</application>
<application name="panel" type="dock">
<layer>below</layer>
</application>

Though, I'm not sure whether this helped me out or the messing with some obconf settings as I didn't restart the panel the first time.
I hope you understood me all, I'm glad if I helped out someone !

Related

Bugs: #581

Discussion

  • Vedran Rodic

    Vedran Rodic - 2014-04-21

    Can you please provide a clear step by step way to reproduce this? I'm not sure whats the problem here.

     
    • Norbert Bánki

      Norbert Bánki - 2014-04-22

      I wrote it a billion years ago, I barely remember this case. Aren't there
      any time stamps or something ? Duh.

      On Mon, Apr 21, 2014 at 12:57 PM, Vedran Rodic vedranrodic@users.sf.netwrote:

      Can you please provide a clear step by step way to reproduce this? I'm not
      sure whats the problem here.


      Status: open
      Group:
      Labels: lxpanel
      Created: Tue Jun 11, 2013 07:16 PM UTC by Norbert Bánki
      Last Updated: Tue Jun 11, 2013 07:16 PM UTC
      Owner: nobody

      I encountered this using two really different distros:

      • Debian 7.0.0 Wheezy with LXDE
      • Fedora 18 Spherical Cow LXDE spin

      So, the problem is: You maximize a window, and you can't see the bottom
      26px of it (default lxpanel height). So lxpanel doesn't behave as a dock. I
      checked the corresponding setting in lxpanel settings, I have unchecked and
      rechecked it without any effect. A kind person helped me out on IRC, he
      gave me the following code to insert it into the Openbox config file:

      <application name="panel">
      <skip_taskbar>yes</skip_taskbar>
      <layer>above</layer>
      </application>
      <application name="panel" type="dock">
      <layer>below</layer>
      </application>

      Though, I'm not sure whether this helped me out or the messing with some
      obconf settings as I didn't restart the panel the first time.
      I hope you understood me all, I'm glad if I helped out someone !


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/lxde/bugs/581/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #581

  • Francisco Vila

    Francisco Vila - 2014-10-06

    I have the same problem. I worked it around by setting a bottom margin of 26 px at 'Margins' tab in obconf. It is not a good solution because it relies at lxpanel being only at the bottom. lxpanel is not obeying the panel preference [lxpanelctl config], Advanced tab, "reserve space -- do not let it be covered by maximised windows" setting.

     
    Last edit: Francisco Vila 2014-10-06
  • Lonely Stranger

    Lonely Stranger - 2014-11-18

    I believe this issue is fixed now completely in the GIT sources repository. Test it when possible, please, and let us know if something is still wrong. Thank you very much.

     
  • Lonely Stranger

    Lonely Stranger - 2014-11-18
    • status: open --> pending-fixed
    • assigned_to: Lonely Stranger
    • Group: -->
     
  • Lonely Stranger

    Lonely Stranger - 2015-06-14
    • status: pending-fixed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks